# Copyright 2022 The KerasCV Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from keras_cv.models.convmixer import ConvMixer_512_16
from keras_cv.models.convmixer import ConvMixer_768_32
from keras_cv.models.convmixer import ConvMixer_1024_16
from keras_cv.models.convmixer import ConvMixer_1536_20
from keras_cv.models.convmixer import ConvMixer_1536_24
from keras_cv.models.convnext import ConvNeXtBase
from keras_cv.models.convnext import ConvNeXtLarge
from keras_cv.models.convnext import ConvNeXtSmall
from keras_cv.models.convnext import ConvNeXtTiny
from keras_cv.models.convnext import ConvNeXtXLarge
from keras_cv.models.csp_darknet import CSPDarkNetL
from keras_cv.models.csp_darknet import CSPDarkNetM
from keras_cv.models.csp_darknet import CSPDarkNetS
from keras_cv.models.csp_darknet import CSPDarkNetTiny
from keras_cv.models.csp_darknet import CSPDarkNetX
from keras_cv.models.darknet import DarkNet21
from keras_cv.models.darknet import DarkNet53
from keras_cv.models.densenet import DenseNet121
from keras_cv.models.densenet import DenseNet169
from keras_cv.models.densenet import DenseNet201
from keras_cv.models.efficientnet_lite import EfficientNetLiteB0
from keras_cv.models.efficientnet_lite import EfficientNetLiteB1
from keras_cv.models.efficientnet_lite import EfficientNetLiteB2
from keras_cv.models.efficientnet_lite import EfficientNetLiteB3
from keras_cv.models.efficientnet_lite import EfficientNetLiteB4
from keras_cv.models.efficientnet_v1 import EfficientNetB0
from keras_cv.models.efficientnet_v1 import EfficientNetB1
from keras_cv.models.efficientnet_v1 import EfficientNetB2
from keras_cv.models.efficientnet_v1 import EfficientNetB3
from keras_cv.models.efficientnet_v1 import EfficientNetB4
from keras_cv.models.efficientnet_v1 import EfficientNetB5
from keras_cv.models.efficientnet_v1 import EfficientNetB6
from keras_cv.models.efficientnet_v1 import EfficientNetB7
from keras_cv.models.efficientnet_v2 import EfficientNetV2B0
from keras_cv.models.efficientnet_v2 import EfficientNetV2B1
from keras_cv.models.efficientnet_v2 import EfficientNetV2B2
from keras_cv.models.efficientnet_v2 import EfficientNetV2B3
from keras_cv.models.efficientnet_v2 import EfficientNetV2L
from keras_cv.models.efficientnet_v2 import EfficientNetV2M
from keras_cv.models.efficientnet_v2 import EfficientNetV2S
from keras_cv.models.mlp_mixer import MLPMixerB16
from keras_cv.models.mlp_mixer import MLPMixerB32
from keras_cv.models.mlp_mixer import MLPMixerL16
from keras_cv.models.mobilenet_v3 import MobileNetV3Large
from keras_cv.models.mobilenet_v3 import MobileNetV3Small
from keras_cv.models.object_detection.faster_rcnn import FasterRCNN
from keras_cv.models.object_detection.retina_net.retina_net import RetinaNet
from keras_cv.models.object_detection_3d.center_pillar import MultiHeadCenterPillar
from keras_cv.models.regnet import RegNetX002
from keras_cv.models.regnet import RegNetX004
from keras_cv.models.regnet import RegNetX006
from keras_cv.models.regnet import RegNetX008
from keras_cv.models.regnet import RegNetX016
from keras_cv.models.regnet import RegNetX032
from keras_cv.models.regnet import RegNetX040
from keras_cv.models.regnet import RegNetX064
from keras_cv.models.regnet import RegNetX080
from keras_cv.models.regnet import RegNetX120
from keras_cv.models.regnet import RegNetX160
from keras_cv.models.regnet import RegNetX320
from keras_cv.models.regnet import RegNetY002
from keras_cv.models.regnet import RegNetY004
from keras_cv.models.regnet import RegNetY006
from keras_cv.models.regnet import RegNetY008
from keras_cv.models.regnet import RegNetY016
from keras_cv.models.regnet import RegNetY032
from keras_cv.models.regnet import RegNetY040
from keras_cv.models.regnet import RegNetY064
from keras_cv.models.regnet import RegNetY080
from keras_cv.models.regnet import RegNetY120
from keras_cv.models.regnet import RegNetY160
from keras_cv.models.regnet import RegNetY320
from keras_cv.models.resnet_v1 import ResNet18
from keras_cv.models.resnet_v1 import ResNet34
from keras_cv.models.resnet_v1 import ResNet50
from keras_cv.models.resnet_v1 import ResNet101
from keras_cv.models.resnet_v1 import ResNet152
from keras_cv.models.resnet_v2 import ResNet50V2
from keras_cv.models.resnet_v2 import ResNet101V2
from keras_cv.models.resnet_v2 import ResNet152V2
from keras_cv.models.segmentation.deeplab import DeepLabV3
from keras_cv.models.stable_diffusion import StableDiffusion
from keras_cv.models.stable_diffusion import StableDiffusionV2
from keras_cv.models.vgg16 import VGG16
from keras_cv.models.vgg19 import VGG19
from keras_cv.models.vit import ViTB16
from keras_cv.models.vit import ViTB32
from keras_cv.models.vit import ViTH16
from keras_cv.models.vit import ViTH32
from keras_cv.models.vit import ViTL16
from keras_cv.models.vit import ViTL32
from keras_cv.models.vit import ViTS16
from keras_cv.models.vit import ViTS32
from keras_cv.models.vit import ViTTiny16
from keras_cv.models.vit import ViTTiny32
